%define upstream_name	 POE-Component-Server-SimpleHTTP
%define	upstream_version 2.22

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:   	Perl extension to serve HTTP requests in POE
License:   	Artistic and GPL+	
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/POE/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:  perl(HTTP::Date)
BuildRequires:  perl(HTTP::Status)
BuildRequires:  perl(MooseX::POE)
BuildRequires:  perl(POE::Filter::HTTP::Parser)
BuildRequires:  perl(Test::POE::Client::TCP)
BuildRequires:  perl(YAML)

BuildArch:	noarch

%{?perl_default_filter}

%description
POE::Component::Server::SimpleHTTP makes serving up HTTP requests a breeze in POE.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
yes n | %__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
%make_install

%files
%doc Changes README
%{perl_vendorlib}/POE
%{_mandir}/man3/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 2.220.0-2.mga6
+ Revision: 1032549
- Rebuild for perl 5.22.2

* Tue Mar 29 2016 tv <tv> 2.220.0-1.mga6
+ Revision: 996071
- new version
- drop BR on 'perl(POE::API::Peek)'

* Sat Feb 20 2016 umeabot <umeabot> 2.200.0-2.mga6
+ Revision: 971336
- Mageia 6 Mass Rebuild

* Wed Oct 14 2015 sander85 <sander85> 2.200.0-1.mga6
+ Revision: 891521
- update to 2.20

  + umeabot <umeabot>
    - Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 2.180.0-4.mga5
+ Revision: 733322
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 2.180.0-3.mga5
+ Revision: 685826
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 2.180.0-2.mga4
+ Revision: 533778
- Mageia 4 Mass Rebuild

* Thu Sep 05 2013 pterjan <pterjan> 2.180.0-1.mga4
+ Revision: 475330
- 2.180.0

* Sun Jan 13 2013 umeabot <umeabot> 2.160.0-3.mga3
+ Revision: 371277
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 pterjan <pterjan> 2.160.0-2.mga3
+ Revision: 315364
- Fix description and summary

* Tue Nov 06 2012 pterjan <pterjan> 2.160.0-1.mga3
+ Revision: 315358
- imported package perl-POE-Component-Server-SimpleHTTP

